cURL
curl --request GET \
--url https://api.payrollintegrationsapp.com/v1/payroll-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.payrollintegrationsapp.com/v1/payroll-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.payrollintegrationsapp.com/v1/payroll-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"employerIdentifierId": "660e8400-e29b-41d4-a716-446655440000",
"payrollPlatformId": "770e8400-e29b-41d4-a716-446655440000",
"createdAt": "2024-01-15T10:30:00Z",
"status": "Active",
"product": "360"
}
],
"meta": {
"currentCount": 1,
"filters": {},
"limit": 20,
"offset": 0,
"sort": "createdAt",
"totalCount": 1
}
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Payroll Connections
List Payroll Connections
Returns a paginated list of payroll connections available to the current user
GET
/
v1
/
payroll-connections
cURL
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Query Parameters
Maximum number of records to return
Required range:
1 <= x <= 4294967295Number of records to skip from the beginning
Required range:
0 <= x <= 4294967295Comma-separated list of fields to sort by. Prefix with - for descending order
Pattern:
^(-?\w{1,100})(?:,(-?\w{1,100})){0,2}$